Subject: Re: Escalated
From: Rosette Modiri <[email-masked]>
To: Mohd <[email-masked]>
Date: Sat, 11 Jan 2020 09:34:49 -0700 (MST)

flagged 

From: "Mohd" <[email-masked]> 
To: "Rosette Modiri" <[email-masked]> 
Sent: Saturday, 11 January, 2020 21:58:16 
Subject: Escalated 

[email-masked] please check her case. She is very escalated. 

Thanks Adam. I have been contacting your company for nearly a month now and I keep being told to be patient. I cannot be patient any more. I would like a resolution today or I will have no choice but to do a credit card dispute for a refund as I did not receive the goods I paid for. 

No, and I have told your company that a million times, I've asked UPS at my house if they had a pick up and they tell me no. 
Plus I was NEVER told by your company that UPS was ever going to pick it up until weeks later 

[ https://277620.app.netsuite.com/app/common/entity/custjob.nl?id=48882260 | https://277620.app.netsuite.com/app/common/entity/custjob.nl?id=48882260 ] customer page